AMD Raid drivers don't compile for Ubuntu 18.04 (kernel 4.15)

Just a heads up for anyone using the AMD Raid drivers for Ryzen boards. It looks like the timer library was reworked in the kernel, and these drivers make calla to init_timer, which is no longer defined as of kernel 4.15 (what Ubuntu 18.04 uses). This means, the drivers will no longer compile. Stick to pre-4.15 if you're using these drivers.

submitted by /u/nipuL
[link] [comments]

Category: 

Date: 

Sunday, April 22, 2018 - 00:56